curl -X POST https://okl.ink/api/v1/pages/cly1019283749/links \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"url": "https://github.com/hebuildapps/demo-links",
"type": "github",
"title": "okl.ink Source Code",
"size": "2x1"
}'
{
"id": "cmsh_link_99",
"type": "github",
"url": "https://github.com/hebuildapps/demo-links",
"position": 0,
"title": "okl.ink Source Code",
"size": "2x1",
"thumbnail": null,
"active": true,
"highlighted": false
}
Links
Add Link
Append a new link tile to an okl.ink page bento grid.
POST
/
api
/
v1
/
pages
/
{id}
/
links
curl -X POST https://okl.ink/api/v1/pages/cly1019283749/links \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"url": "https://github.com/hebuildapps/demo-links",
"type": "github",
"title": "okl.ink Source Code",
"size": "2x1"
}'
{
"id": "cmsh_link_99",
"type": "github",
"url": "https://github.com/hebuildapps/demo-links",
"position": 0,
"title": "okl.ink Source Code",
"size": "2x1",
"thumbnail": null,
"active": true,
"highlighted": false
}
Add Link
Adds a new link tile to the specified project. The tile is automatically assigned the next available position at the bottom of the grid. Requirespages:write scope.
Headers
string
required
Bearer token with
pages:write scope.Path Parameters
string
required
The project ID.
Request Body
string
required
The destination
http(s) URL.string
default:"other"
One of:
live-demo, github, documentation, youtube, x, linkedin, product-hunt, devpost, blog, other.string
Custom display title for the tile.
string
default:"2x1"
Tile size:
1x1, 2x1, 2x2, 4x1. (Social links like x, twitter, linkedin automatically default to 2x2).string
Optional custom thumbnail image URL.
Response
string
Created Link ID
string
Link type
string
Destination URL
number
Zero-indexed grid index
string | null
Tile Title
string
Tile grid span
string | null
Thumbnail URL
boolean
Active state
boolean
Highlight state
curl -X POST https://okl.ink/api/v1/pages/cly1019283749/links \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"url": "https://github.com/hebuildapps/demo-links",
"type": "github",
"title": "okl.ink Source Code",
"size": "2x1"
}'
{
"id": "cmsh_link_99",
"type": "github",
"url": "https://github.com/hebuildapps/demo-links",
"position": 0,
"title": "okl.ink Source Code",
"size": "2x1",
"thumbnail": null,
"active": true,
"highlighted": false
}